:root {
    --nb-recent-searches-2-header-title-color: var(--nb-text-color-primary);
    --nb-recent-searches-2-header-title-font-size: var(--nb-font-size-20);
    --nb-recent-searches-2-header-title-font-weight: var(--nb-font-weight-500);
    --nb-recent-searches-2-header-title-line-height: 27px;

    --nb-recent-searches-2-header-delete-all-color: var(--nb-text-color-primary);
    --nb-recent-searches-2-header-delete-all-font-size: var(--nb-font-size-16);
    --nb-recent-searches-2-header-delete-all-font-weight: var(--nb-font-weight-400);
    --nb-recent-searches-2-header-delete-all-line-height: 22px;

    --nb-recent-searches-2-item-color: var(--nb-text-color-primary);
    --nb-recent-searches-2-item-font-size: var(--nb-font-size-16);
    --nb-recent-searches-2-item-font-weight: var(--nb-font-weight-500);
    --nb-recent-searches-2-item-line-height: 24px;
    --nb-recent-searches-2-item-min-height: 48px;
}

.nb-recent-searches-2 {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.nb-recent-searches-2 .nb-recent-searches-header-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nb-recent-searches-2 .nb-recent-searches-header-wrapper .nb-recent-searches-title {
    color: var(--nb-recent-searches-2-header-title-color);
    font-size: var(--nb-recent-searches-2-header-title-font-size);
    font-weight: var(--nb-recent-searches-2-header-title-font-weight);
    line-height: var(--nb-recent-searches-2-header-title-line-height);
}

.nb-recent-searches-2 .nb-recent-searches-header-wrapper .nb-delete-all-recent-searches {
    color: var(--nb-recent-searches-2-header-delete-all-color);
    font-size: var(--nb-recent-searches-2-header-delete-all-font-size);
    font-weight: var(--nb-recent-searches-2-header-delete-all-font-weight);
    line-height: var(--nb-recent-searches-2-header-delete-all-line-height);
    cursor: pointer;
}

.nb-recent-searches-2 .nb-recent-searches-wrapper {
    display: flex;
    flex-direction: column;
}

.nb-recent-searches-2 .nb-recent-searches-wrapper .nb-recent-search-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-height: var(--nb-recent-searches-2-item-min-height);
    cursor: pointer;
}

.nb-recent-searches-2 .nb-recent-searches-wrapper .nb-recent-search-item .nb-link {
    color: var(--nb-recent-searches-2-item-color);
    font-size: var(--nb-recent-searches-2-item-font-size);
    font-weight: var(--nb-recent-searches-2-item-font-weight);
    line-height: var(--nb-recent-searches-2-item-line-height);
}

.nb-recent-searches-2 .nb-recent-searches-wrapper .nb-recent-search-item .nb-link .nb-icon {
    margin-right: 10px;
    line-height: 1;
    vertical-align: middle;
}